import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: root
    orientationLock: PageOrientation.LockPortrait

    GConf {
        id: gconf
    }

    Ambiance {
        id: ambiance
    }

    Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height

        Column {
            id: content
            spacing: 10
            width: parent.width

            DcpPageTitle {
                id: titleLabel
                text: "Ambiance settings"
            }

            Separator {
                title: "Presets"
            }

            SelectionItemTr {
                id: ambianceItem
                title: "Ambiance"
                model: ambianceModel
                onValueChosen: {
                    gconf.set("/apps/ancelad/ambiance", currentValue)
                    var reply = ambiance.shell(currentValue)
                    banner.notify(reply)
                }
            }
        }
    }

    Component.onCompleted: {
        var availableAmbiances = ambiance.listAvailable()
        for (var i = 0; i < availableAmbiances.length; i++) {
            ambianceModel.append({ "name": availableAmbiances[i].name, "value": availableAmbiances[i].value })
        }

        ambianceItem.initialValue = gconf.get("/apps/ancelad/ambiance", "/usr/share/themes/sailfish/meegotouch/.ambiance/presets/preset1.sh")
    }

    ListModel {
        id: ambianceModel
    }

    ScrollDecorator {
        flickableItem: flickable
    }
}
