import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.coderus.GConf 1.0
import org.ancelad.Ambiance 1.0

Page {
    id: mainiconPage
    orientationLock: PageOrientation.LockPortrait

    Image {
        source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x854.png"
        }

    tools: ToolBarLayout {
            Image {
            source: "/usr/share/themes/sailfish/meegotouch/images/common_backgrounds/480x72.png"
            }
			
        Button {
            platformStyle: ButtonStyle {
            background: "images/m-toolbar-back.png"
            checkedBackground: "images/m-toolbar-back-pressed.png"
            pressedBackground: "images/m-toolbar-back-pressed.png"
            }                   
            text: ""
            anchors.left: parent.left
            width: 64
            height: 64
            onClicked: {
                        if (pageStack.depth > 1) {
                        pageStack.pop();
                    } else if (dcp.isStandalone) {
                        dcp.popupMainPageAlone();
                    } else {
                        Qt.quit();                   
	            }	
			}
	    }		
    }
		
    GConf {
        id: gconf
    }

    Ambiance {
        id: ambiance
    }

        Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height
	
        Column {		
        id: content
        width: parent.width
		
		DcpPageTitle {
                x: 10		
                text: qsTr("Haptic feedback settings")
	    }
			
            Label {
                text: qsTr("Enable or disable haptic feedback and push 'Apply'.")
                anchors.left: parent.left
                anchors.leftMargin: 2
                horizontalAlignment: Text.AlignHLeft
                width: parent.width
                font.pixelSize: 26
                wrapMode: Text.WordWrap  
            }	
			
            Separator {
                title: ""
                color: "white"
				width: 520
            }
			
		Row {			
			width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter
							
            MySwitch {
                id: shortcutHaptic
                anchors.left: parent.left
				anchors.leftMargin: 10
                onClicked: {
                    width: 64
                    height: 64
                    gconf.set("/apps/ancelad/haptic/shortcutHaptic", checked)
                }
            }
			
		    Label {
            text: qsTr("Shortcuts and folders")
            anchors.left: parent.left
			anchors.leftMargin: 80
			anchors.top: parent.top
			anchors.topMargin: 17
            anchors.rightMargin: 80 
			width: parent.width
			wrapMode: Text.WordWrap  
		    }			
		}

		Row {			
			width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter
							
            MySwitch {
                id: hsHaptic
                anchors.left: parent.left
				anchors.leftMargin: 10
                onClicked: {
                    width: 64
                    height: 64
                    gconf.set("/apps/ancelad/haptic/hsHaptic", checked)
                }
            }
			
		    Label {
            text: qsTr("Switching between homescreens")
            anchors.left: parent.left
			anchors.leftMargin: 80
			anchors.top: parent.top
			anchors.topMargin: 17
            anchors.rightMargin: 80 
			width: parent.width
			wrapMode: Text.WordWrap  
		    }			
		}

		Row {			
			width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter
							
            MySwitch {
                id: musicwidgetHaptic
                anchors.left: parent.left
				anchors.leftMargin: 10
                onClicked: {
                    width: 64
                    height: 64
                    gconf.set("/apps/ancelad/haptic/musicwidgetHaptic", checked)
                }
            }
			
		    Label {
            text: qsTr("Lockscreen player widget ")
            anchors.left: parent.left
			anchors.leftMargin: 80
			anchors.top: parent.top
			anchors.topMargin: 17
            anchors.rightMargin: 80 
			width: parent.width
			wrapMode: Text.WordWrap  
		    }			
		}

		Row {			
			width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter
							
            MySwitch {
                id: qlbshortcutsHaptic
                anchors.left: parent.left
				anchors.leftMargin: 10
                onClicked: {
                    width: 64
                    height: 64
                    gconf.set("/apps/ancelad/haptic/qlbshortcutsHaptic", checked)
                }
            }
			
		    Label {
            text: qsTr("Quick launch bar shortcuts")
            anchors.left: parent.left
			anchors.leftMargin: 80
			anchors.top: parent.top
			anchors.topMargin: 17
            anchors.rightMargin: 80 
			width: parent.width
			wrapMode: Text.WordWrap  
		    }			
		}
		
            Item {
                width: 1
                height: 16
            }

            Button {
            platformStyle: ButtonStyle {
            background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg.png"
            pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_pressed.png"
            pressedTextColor: "#ffcece"
            }
            anchors.horizontalCenter: parent.horizontalCenter
            text: qsTr("Apply")
		    font.weight: Font.Light
		    font.pixelSize: 30
            width: 186
		    height: 66
                onClicked: {
					ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/haptic_options.sh")
					banner.notify(qsTr("Done! Restart themedaemon."))
                }
            }
			
            Separator {
                title: ""
                color: "white"
				width: 520
            }
			
            Button {
                     platformStyle: ButtonStyle {
                         background: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large.png"
                         pressedBackground: "/usr/share/themes/sailfish/meegotouch/images/button_bg/button_bg_large_pressed.png"
						 pressedTextColor: "#ffcece"
                       }
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Restart themedaemon")
				width: 322
				height: 66
				font.weight: Font.Light
				font.pixelSize: 30
                onClicked: {
                    ambiance.shell("/usr/share/themes/sailfish/meegotouch/.ambiance/scripts/restart_themedaemon.sh")
                }
            }
						
        Item {
            width: 1
            height: 64
        }				
    }
}
	
    Component.onCompleted: {
        shortcutHaptic.checked = gconf.get("/apps/ancelad/haptic/shortcutHaptic", false)
        hsHaptic.checked = gconf.get("/apps/ancelad/haptic/hsHaptic", false)
		musicwidgetHaptic.checked = gconf.get("/apps/ancelad/haptic/musicwidgetHaptic", false)
        qlbshortcutsHaptic.checked = gconf.get("/apps/ancelad/haptic/qlbshortcutsHaptic", false)
    }
}    
